Workspace assistant chat (SSE)
POST
/v1/workspace/{workspaceId}/agent/chat
const url = 'https://shareout.site/v1/workspace/example/agent/chat';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"text":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/workspace/example/agent/chat \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "text": "example" }'Stream a workspace-scoped assistant reply. Requires session or bearer token, workspace membership, and the ai.web_agent feature flag.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspaceId
required
string
Workspace ID or slug.
Request Body required
Section titled “Request Body required ” Media type application/json
object
text
required
string
Example generated
{ "text": "example"}Responses
Section titled “ Responses ”SSE stream (text/event-stream)
Assistant not enabled for this workspace
Rate limited